import wicg
from position import *

glbWasLoading = 0

def SpawnCommonAgents():
	""" This method can be called when you from other python function want to respawn all agents in common division """
	if glbWasLoading == 0 and not wicg.IsSinglePlayer():
		pass
 
	return 1

def SpawnSinglePlayerAgents():
	""" This method can be called when you from other python function want to respawn all agents in single player division """
	if glbWasLoading == 0 and wicg.IsSinglePlayer():
		pass
 
	return 1

def OnLoad( someLoadData ):
	""" Takes care of singleplayer loading. """
	import persistence
	global glbWasLoading
 
	glbWasLoading = 1
	persistence.Load( someLoadData )
 
	return 1
 

def OnSave():
	""" Takes care of singleplayer saving. """
	import persistence
	return persistence.Save()
 

def OnGameStarted():
	""" This method will be run as soon as the first player is fully loaded and connected """
	if glbWasLoading == 0 and not wicg.IsSinglePlayer():
		""" Will not be run from a persisted game """
 
		wicg.CreateCommandPointEx("CP_CommandPoint__0", 0, 1)
		wicg.CreatePerimeterPointEx( "CP_CommandPoint__0_PP_1", "CP_CommandPoint__0" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__0_PP_1_fort1", "CP_CommandPoint__0_PP_1", "CP_CommandPoint__0" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__0_PP_1_fort2", "CP_CommandPoint__0_PP_1", "CP_CommandPoint__0" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__0_PP_1_fort3", "CP_CommandPoint__0_PP_1", "CP_CommandPoint__0" )
		wicg.CreatePerimeterPointEx( "CP_CommandPoint__0_PP_2", "CP_CommandPoint__0" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__0_PP_2_fort2", "CP_CommandPoint__0_PP_2", "CP_CommandPoint__0" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__0_PP_2_fort1", "CP_CommandPoint__0_PP_2", "CP_CommandPoint__0" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__0_PP_2_fort3", "CP_CommandPoint__0_PP_2", "CP_CommandPoint__0" )

		wicg.CreateCommandPointEx("CP_CommandPoint__1", 0, 1)
		wicg.CreatePerimeterPointEx( "CP_CommandPoint__1_PP_1", "CP_CommandPoint__1" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__1_PP_1_fort2", "CP_CommandPoint__1_PP_1", "CP_CommandPoint__1" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__1_PP_1_fort1", "CP_CommandPoint__1_PP_1", "CP_CommandPoint__1" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__1_PP_1_fort3", "CP_CommandPoint__1_PP_1", "CP_CommandPoint__1" )
		wicg.CreatePerimeterPointEx( "CP_CommandPoint__1_PP_2", "CP_CommandPoint__1" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__1_PP_2_fort2", "CP_CommandPoint__1_PP_2", "CP_CommandPoint__1" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__1_PP_2_fort1", "CP_CommandPoint__1_PP_2", "CP_CommandPoint__1" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__1_PP_2_fort3", "CP_CommandPoint__1_PP_2", "CP_CommandPoint__1" )

		wicg.CreateCommandPointEx("CP_CommandPoint__2", 0, 1)
		wicg.CreatePerimeterPointEx( "CP_CommandPoint__2_PP_1", "CP_CommandPoint__2" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__2_PP_1_fort3", "CP_CommandPoint__2_PP_1", "CP_CommandPoint__2" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__2_PP_1_fort2", "CP_CommandPoint__2_PP_1", "CP_CommandPoint__2" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__2_PP_1_fort1", "CP_CommandPoint__2_PP_1", "CP_CommandPoint__2" )
		wicg.CreatePerimeterPointEx( "CP_CommandPoint__2_PP_2", "CP_CommandPoint__2" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__2_PP_2_fort3", "CP_CommandPoint__2_PP_2", "CP_CommandPoint__2" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__2_PP_2_fort2", "CP_CommandPoint__2_PP_2", "CP_CommandPoint__2" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__2_PP_2_fort1", "CP_CommandPoint__2_PP_2", "CP_CommandPoint__2" )

		wicg.CreateCommandPointEx("CP_CommandPoint__3", 0, 1)
		wicg.CreatePerimeterPointEx( "CP_CommandPoint__3_PP_2", "CP_CommandPoint__3" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__3_PP_2_fort2", "CP_CommandPoint__3_PP_2", "CP_CommandPoint__3" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__3_PP_2_fort1", "CP_CommandPoint__3_PP_2", "CP_CommandPoint__3" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__3_PP_2_fort3", "CP_CommandPoint__3_PP_2", "CP_CommandPoint__3" )
		wicg.CreatePerimeterPointEx( "CP_CommandPoint__3_PP_1", "CP_CommandPoint__3" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__3_PP_1_fort2", "CP_CommandPoint__3_PP_1", "CP_CommandPoint__3" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__3_PP_1_fort1", "CP_CommandPoint__3_PP_1", "CP_CommandPoint__3" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__3_PP_1_fort3", "CP_CommandPoint__3_PP_1", "CP_CommandPoint__3" )

		wicg.CreateCommandPointEx("CP_CommandPoint__4", 0, 1)
		wicg.CreatePerimeterPointEx( "CP_CommandPoint__4_PP_1", "CP_CommandPoint__4" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__4_PP_1_fort2", "CP_CommandPoint__4_PP_1", "CP_CommandPoint__4" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__4_PP_1_fort1", "CP_CommandPoint__4_PP_1", "CP_CommandPoint__4" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__4_PP_1_fort3", "CP_CommandPoint__4_PP_1", "CP_CommandPoint__4" )
		wicg.CreatePerimeterPointEx( "CP_CommandPoint__4_PP_2", "CP_CommandPoint__4" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__4_PP_2_fort1", "CP_CommandPoint__4_PP_2", "CP_CommandPoint__4" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__4_PP_2_fort2", "CP_CommandPoint__4_PP_2", "CP_CommandPoint__4" )
		wicg.CreateFortificationPointEx("CP_CommandPoint__4_PP_2_fort3", "CP_CommandPoint__4_PP_2", "CP_CommandPoint__4" )

		pass
	return 1

